from django import template

register = template.Library()


@register.filter
def get_by_tuple(d, args):
    """Accede a un diccionario usando una tupla como clave."""
    try:
        return d[tuple(args)]
    except (KeyError, TypeError):
        return 0


@register.simple_tag
def get_saldo(diccionario, cuenta_id, anio, mes):
    """Accede a un diccionario con claves tipo (cuenta_id, anio, mes)"""
    return diccionario.get((cuenta_id, anio, mes), 0)
